package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF7G0 extends MwfRequest<MWF7G0, MWF7G0Response> {

    @Parameter(name = "AGENT_ID")
    MWF7G0 agentId(String agentId);
    @Parameter(name = "BRN_ID")
    MWF7G0 brnId(String brnId);
    @Parameter(name = "CONT_PHONE_NUM")
    MWF7G0 contPhoneNum(String contPhoneNum);
    @Parameter(name = "CONT_PROD_ID")
    MWF7G0 contProdId(String contProdId);
    @Parameter(name = "CONT_TP")
    MWF7G0 contTp(Long contTp);
    @Parameter(name = "CRE_DT")
    MWF7G0 creDt(java.util.Date creDt);
    @Parameter(name = "FIRST_NAME")
    MWF7G0 firstName(String firstName);
    @Parameter(name = "GEMID_ID")
    MWF7G0 gemidId(String gemidId);
    @Parameter(name = "LAST_NAME")
    MWF7G0 lastName(String lastName);
    @Parameter(name = "WEB_SRC_ID")
    MWF7G0 webSrcId(String webSrcId);
    @Parameter(name = "WEB_SRC_SYS_ID")
    MWF7G0 webSrcSysId(String webSrcSysId);
}
